#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: test.pleaf.m4,v 1.8 2022/10/08 17:29:21 babolo Exp $
#
#   

eval
#perform 0002
CREATE TEMP TABLE SQNM(x)
     ( SQAT(cred)    integer
     , SQAT(cipa)    text
     , SQAT(sess)    integer
     , SQAT(login)   text
     , SQAT(pass)    text
     , SQAT(p)       integer
     , SQAT(t)       integer
     , SQAT(o)       integer
     , SQAT(c)       text
     , SQAT(m)       integer
     , SQAT(n)       text
     , SQAT(l)       integer
     , SQAT(z)       text
     , SQAT(e)       text
     , SQAT(b)       real
     , SQAT(u)       integer
     , SQAT(h)       text
     , SQAT(srcip)   text
     ) STRICT
;
#select  _00_
SELECT CIAT(cred)
     , CIAT(cipa)
     , CIAT(sess)
     , CIAT(login)
     , CIAT(pass)
     , CIAT(p)
     , CIAT(t)
     , CIAT(o)
     , CIAT(c)
     , CIAT(m)
     , CIAT(n)
     , CIAT(l)
     , CIAT(z)
     , CIAT(e)
     , CIAT(b)
     , CIAT(u)
     , CIAT(h)
     , (SELECT CIAT(e) FROM CINM(e) WHERE CIAT(n) == 'REMOTE_ADDR')
 FROM CINM(x)
;
#perform 00_2
INSERT INTO SQNM(x) SELECT ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?;
#select  _002
SELECT 1 FROM SQNM(x) LEFT JOIN SQNM(pass) USING(SQAT(cred)) WHERE SQNM(pass).SQAT(cred) IS NULL;
#eval    00_
##echo    00000_
prohibitcred
##exit
#close   _0_
